import React, {useRef, useEffect, useState} from 'react'
import SliderImage from './SliderImage'
export default ({images, current:propCurrent, onChange, ...props}) => {
    const [current, setCurrent] = useState(0)
    const currentImages         = [images[(current + images.length -1) % images.length], 
                                   images[current], 
                                   images[(current + 1) % images.length] 
                                   ]

    console.log(current, currentImages)


    return  <SliderImage images={currentImages} 
                         onChange={current3 => {
                                        const newCurrent = (current + current3 -1 + images.length) % images.length
                                        onChange(newCurrent) 
                                        setCurrent(newCurrent)
                                    }} 
                         current={1}
            {...props} />
}
